/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  GeneratePress child theme
 Author:       James Fletcher
 Author URI:   https://www.jamesfletcher.co.uk
 Template:     generatepress
 Version:      0.1
*/

@font-face {
    font-family: 'universltpro_roman';
    src: url('/wp-content/themes/generatepress_child/fonts/universltpro-55roman-webfont.otf') format('opentype'),
		 url('/wp-content/themes/generatepress_child/fonts/universltpro-55roman-webfont.woff2') format('woff2'),
         url('/wp-content/themes/generatepress_child/fonts/universltpro-55roman-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'universltpro_bold';
    src: url('/wp-content/themes/generatepress_child/fonts/universltpro-65bold-webfont.otf') format('opentype'),
		 url('/wp-content/themes/generatepress_child/fonts/universltpro-65bold-webfont.woff2') format('woff2'),
         url('/wp-content/themes/generatepress_child/fonts/universltpro-65bold-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

/* =========================
   THEME TWEAKS
========================= */

/* Header padding with responsive clamp */
.site-header {
    padding-inline: clamp(1rem, 0.848rem + 0.758vw, 1.5rem);
}
/**/

h1, .fs-h1 {
    font-size: clamp(2.2rem, 5vw, 3rem);
}

h2, .fs-h2 {
	font-size: clamp(1.5rem, 4vw, 2rem);
	overflow-wrap: break-word;
	word-break: break-word; /* Safari fallback */
}

h3, .fs-h3 {
	font-size: clamp(1.2rem, 3vw, 1rem);
	overflow-wrap: break-word;
	word-break: break-word; /* Safari fallback */
}

strong {
	font-family: 'universltpro_bold';
}

/*Global update*/
.site-header {
	border-bottom: solid 1px var(--light-blue-10);
	position: sticky;
    top: 0;
	z-index: 1;
}

/*Nav*/

/*Global update*/
#primary-menu a {
	transition: all 0.5s ease;
}
.mobile-menu-control-wrapper .menu-toggle, .mobile-menu-control-wrapper .menu-toggle:hover, .mobile-menu-control-wrapper .menu-toggle:focus, .has-inline-mobile-toggle #site-navigation.toggled {
	background-color: transparent;
}
.menu-toggle {
	font-size: 1.4rem;
	padding: 0;
}
/**/

#primary-menu li a, .gb-button-text {
	padding-top: 3px;
}
#primary-menu li a {
	border-radius: 3px;
}
.main-navigation.toggled .main-nav li {
	border-bottom: solid 1px var(--contrast-3);
}

/*Padding to left and right of nav in mobile menu - Global update*/
@media (max-width: 1050px) {
	.main-navigation .main-nav ul li a {
		padding-left: 0px;
		padding-right: 0px;
	}
	.main-navigation .main-nav ul li[class*="current-menu-"] > a {
		padding-left: 15px;
	}
}
/**/

/**/

/*WP swiper*/
.wp-swiper > .wp-swiper__wrapper {
    margin-bottom: 0px;
}
.swiper-pagination-bullet-active {
	background: var(--green);
}
/**/

button, .gb-button, input[type=submit] {
	border-radius: 3px;
}
input[type=submit] {
	padding-bottom: 8px;
}

/*Custom Dropdown*/
/* Dropdown Button */
.dropbtn {
	background-color: #fff;
	padding: 0px;
	font-size: 16px;
	width: 100%;
	color: var(--contrast);
	border-radius: 3px;
	text-align: right;
}
@media (max-width: 1050px) {
	.dropbtn {
		text-align: left;
	}
}
.dropbtn svg {
	width: 1.15em;
	vertical-align: top;
	margin-right: 3px;
}
/* The container - needed to position the dropdown content */
.dropdown {
	position: relative;
	display: inline-block;
	width: 100%;
}
/* Dropdown Content (Hidden by Default) */
.dropdown-content {
	display: none;
	position: absolute;
	background-color: #fff;
	box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
	z-index: 100002;
	width: 100%;
}
/* Links inside the dropdown */
.dropdown-content a {
	/**/
	display: flex !important;
	align-items: center;
	/**/
	padding: 12px 16px;
	text-decoration: none;
	display: block;
}
/* Change color of dropdown links on hover */
.dropdown-content a:hover {
	background-color: var(--medium-blue);
	color: #fff;
}
/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
	display: block;
}
/* Change the background color of the dropdown button when the dropdown content is shown */
.dropdown:hover button.dropbtn, .dropdown:focus button.dropbtn {
	background-color: transparent;
	color: var(--contrast);
}
/*.flag {
	width: 18px;
	height: 18px;
	margin-right: 10px;
	margin-top: -6px;
}*/
.dropdown-content a {
    display: flex;
    align-items: center;
    gap: 10px;
}
.flag {
    width: 18px;
    height: 18px;
    flex-shrink: 0;
    margin-top: -4px;
}
/**/

.list-no-margin {
	margin-bottom: 0;
}

/*Countries Dropdown - Global update*/
.countries-dropdown {
	width: 135px;
	font-size: 14px;
	order: 4; /*Move to under nav items in mobile menu*/
}
@media (max-width: 1050px) {
	.main-navigation.toggled .countries-dropdown {
		display: block !important;
		margin: 30px 0;
	}
}
.countries-dropdown .dropbtn {
	font-size: 14px;
}
/**/

/*Off canvas adjustments - no longer used*/
/*Global update*/
/*@media (max-width: 768px) {
    .slideout-navigation.do-overlay .slideout-exit {
        position: absolute !important;
    }
	.site-logo {
		max-width: 80px !important;
		order: -1;
	}
}

.slideout-navigation.do-overlay .inside-navigation {
	padding: 30px !important;
    max-width: 100% !important;
}
#generate-slideout-menu.do-overlay .slideout-menu li, .slideout-navigation.do-overlay .inside-navigation {	
	text-align: left !important;
	align-items: flex-start !important;
}
.slideout-navigation button.slideout-exit {
	padding-left: 30px;
    padding-right: 30px;
}
.slideout-navigation.do-overlay .inside-navigation .main-nav, .slideout-navigation.do-overlay .inside-navigation .slideout-widget {
    margin-left: 0;
    margin-right: 0;
}
*/

/**/

/*Remove margin under nav so no space before Countries Dropdown*/
.slideout-navigation .main-nav, .slideout-navigation .slideout-widget:not(:last-child) {
	margin-bottom: 10px !important;
}
/**/

.site-footer a {
	word-wrap: break-word;
	overflow-wrap: break-word;
	word-break: break-word;
	display: inline-block;
}

.swiper-button-next, .swiper-button-prev {
	color: #000;
}
.swiper-button-next:after, .swiper-rtl .swiper-button-prev:after {
    content: 'next';
}
.swiper-button-prev:after, .swiper-rtl .swiper-button-next:after {
    content: 'prev';
}

.footer-links {
	text-decoration: underline;
}

.wp-swiper--0 .gb-headline-text {
	text-shadow: 1px 1px 10px rgba(0,0,0, 0.25);
}

.flag {
  pointer-events: none;
}


/* =========================
   CONTAINER WRAPPER
========================= */

.site-wrapper {
    width: 100%;
    max-width: 1980px;
    margin-inline: auto;
    background: var(--neutral-50);
	/*Sticky Footer*/
    min-height: 100vh;
    display: flex;
    flex-direction: column;
	/**/
}

/* =========================
   STICKY FOOTER
========================= */

.full-width-content .container.grid-container {
    width: 100%;
}
.site-footer {
    margin-top: auto;
}

.fs-h3 {
    font-size: clamp(1.5234rem, 1.477rem + 0.1856vw, 1.6255rem);
}

/* =========================
   Forms
========================= */

.wpcf7-list-item {
	margin: 0;
}